
#version 150

in float size;
out vec4 out_Color;
in vec4 pos;
in vec4 accv;
void main(void)
{
	out_Color = vec4(
		max(0.0, 1.0f-pow(2.0*sqrt(
			dot(
				gl_PointCoord.xy-vec2(0.5,0.5),
				gl_PointCoord.xy-vec2(0.5,0.5)
				)
			)
		,13.0))
	)*size*vec4(1.0f,0.3f,0.1f,0.0f);
}
